=== src/CMakeLists.txt ===
# CMake script for Bio++ PhylLib
# Author: Sylvain Gaillard and Julien Dutheil
# Created: 20/08/2009

# File list
SET(CPP_FILES
  Bpp/Phyl/App/PhylogeneticsApplicationTools.cpp
  Bpp/Phyl/BipartitionList.cpp
  Bpp/Phyl/BipartitionTools.cpp
  Bpp/Phyl/Distance/AbstractAgglomerativeDistanceMethod.cpp
  Bpp/Phyl/Distance/BioNJ.cpp
  Bpp/Phyl/Distance/DistanceEstimation.cpp
  Bpp/Phyl/Distance/NeighborJoining.cpp
  Bpp/Phyl/Distance/PGMA.cpp
  Bpp/Phyl/Distance/HierarchicalClustering.cpp
  Bpp/Phyl/Graphics/AbstractDendrogramPlot.cpp
  Bpp/Phyl/Graphics/AbstractTreeDrawing.cpp
  Bpp/Phyl/Graphics/CladogramPlot.cpp
  Bpp/Phyl/Graphics/PhylogramPlot.cpp
  Bpp/Phyl/Graphics/TreeDrawingDisplayControler.cpp
  Bpp/Phyl/Graphics/TreeDrawingListener.cpp
  Bpp/Phyl/Io/IoDistanceMatrixFactory.cpp
  Bpp/Phyl/Io/IoTreeFactory.cpp
  Bpp/Phyl/Io/Newick.cpp
  Bpp/Phyl/Io/NexusIoTree.cpp
  Bpp/Phyl/Io/Nhx.cpp
  Bpp/Phyl/Io/PhylipDistanceMatrixFormat.cpp
  Bpp/Phyl/Io/IoPairedSiteLikelihoods.cpp
  Bpp/Phyl/Io/IoSubstitutionModelFactory.cpp
  Bpp/Phyl/Io/BppOSubstitutionModelFormat.cpp
  Bpp/Phyl/Io/IoFrequenciesSetFactory.cpp
  Bpp/Phyl/Io/BppOFrequenciesSetFormat.cpp
  Bpp/Phyl/Io/BppORateDistributionFormat.cpp
  Bpp/Phyl/Likelihood/AbstractDiscreteRatesAcrossSitesTreeLikelihood.cpp
  Bpp/Phyl/Likelihood/AbstractHomogeneousTreeLikelihood.cpp
  Bpp/Phyl/Likelihood/AbstractNonHomogeneousTreeLikelihood.cpp
  Bpp/Phyl/Likelihood/AbstractTreeLikelihood.cpp
  Bpp/Phyl/Likelihood/DRASDRTreeLikelihoodData.cpp
  Bpp/Phyl/Likelihood/DRASRTreeLikelihoodData.cpp
  Bpp/Phyl/Likelihood/DRHomogeneousMixedTreeLikelihood.cpp
  Bpp/Phyl/Likelihood/DRHomogeneousTreeLikelihood.cpp
  Bpp/Phyl/Likelihood/DRNonHomogeneousTreeLikelihood.cpp
  Bpp/Phyl/Likelihood/DRTreeLikelihoodTools.cpp
  Bpp/Phyl/Likelihood/MarginalAncestralStateReconstruction.cpp
  Bpp/Phyl/Likelihood/NNIHomogeneousTreeLikelihood.cpp
  Bpp/Phyl/Likelihood/PseudoNewtonOptimizer.cpp
  Bpp/Phyl/Likelihood/RASTools.cpp
  Bpp/Phyl/Likelihood/RHomogeneousClockTreeLikelihood.cpp
  Bpp/Phyl/Likelihood/RHomogeneousMixedTreeLikelihood.cpp
  Bpp/Phyl/Likelihood/RHomogeneousTreeLikelihood.cpp
  Bpp/Phyl/Likelihood/RNonHomogeneousMixedTreeLikelihood.cpp
  Bpp/Phyl/Likelihood/RNonHomogeneousTreeLikelihood.cpp
  Bpp/Phyl/Likelihood/TreeLikelihoodTools.cpp
  Bpp/Phyl/Likelihood/PairedSiteLikelihoods.cpp
  Bpp/Phyl/Likelihood/GlobalClockTreeLikelihoodFunctionWrapper.cpp
  Bpp/Phyl/Mapping/LaplaceSubstitutionCount.cpp
  Bpp/Phyl/Mapping/OneJumpSubstitutionCount.cpp
  Bpp/Phyl/Mapping/ProbabilisticSubstitutionMapping.cpp
  Bpp/Phyl/Mapping/NaiveSubstitutionCount.cpp
  Bpp/Phyl/Mapping/DecompositionSubstitutionCount.cpp
  Bpp/Phyl/Mapping/UniformizationSubstitutionCount.cpp
  Bpp/Phyl/Mapping/WeightedSubstitutionCount.cpp
  Bpp/Phyl/Mapping/SubstitutionMappingTools.cpp
  Bpp/Phyl/Model/StateMap.cpp
  Bpp/Phyl/Model/BinarySubstitutionModel.cpp
  Bpp/Phyl/Model/AbstractSubstitutionModel.cpp
  Bpp/Phyl/Model/AbstractBiblioSubstitutionModel.cpp
  Bpp/Phyl/Model/AbstractBiblioMixedSubstitutionModel.cpp
  Bpp/Phyl/Model/MarkovModulatedSubstitutionModel.cpp
  Bpp/Phyl/Model/AbstractMixedSubstitutionModel.cpp
  Bpp/Phyl/Model/MixtureOfASubstitutionModel.cpp
  Bpp/Phyl/Model/MixtureOfSubstitutionModels.cpp
  Bpp/Phyl/Model/RateDistributionFactory.cpp
  Bpp/Phyl/Model/RE08.cpp
  Bpp/Phyl/Model/SubstitutionModelFactory.cpp
  Bpp/Phyl/Model/SubstitutionModelSet.cpp
  Bpp/Phyl/Model/MixedSubstitutionModelSet.cpp
  Bpp/Phyl/Model/SubstitutionModelSetTools.cpp
  Bpp/Phyl/Model/AbstractWordSubstitutionModel.cpp
  Bpp/Phyl/Model/WordSubstitutionModel.cpp
  Bpp/Phyl/Model/Nucleotide/F84.cpp
  Bpp/Phyl/Model/Nucleotide/HKY85.cpp
  Bpp/Phyl/Model/Nucleotide/JCnuc.cpp
  Bpp/Phyl/Model/Nucleotide/GTR.cpp
  Bpp/Phyl/Model/Nucleotide/K80.cpp
  Bpp/Phyl/Model/Nucleotide/L95.cpp
  Bpp/Phyl/Model/Nucleotide/RN95.cpp
  Bpp/Phyl/Model/Nucleotide/RN95s.cpp
  Bpp/Phyl/Model/Nucleotide/SSR.cpp
  Bpp/Phyl/Model/Nucleotide/T92.cpp
  Bpp/Phyl/Model/Nucleotide/TN93.cpp
  Bpp/Phyl/Model/Nucleotide/gBGC.cpp
  Bpp/Phyl/Model/Nucleotide/YpR.cpp
  Bpp/Phyl/Model/Protein/DSO78.cpp
  Bpp/Phyl/Model/Protein/UserProteinSubstitutionModel.cpp
  Bpp/Phyl/Model/Protein/JCprot.cpp
  Bpp/Phyl/Model/Protein/JTT92.cpp
  Bpp/Phyl/Model/Protein/LG08.cpp
  Bpp/Phyl/Model/Protein/WAG01.cpp
  Bpp/Phyl/Model/Protein/LLG08_EHO.cpp
  Bpp/Phyl/Model/Protein/LLG08_EX2.cpp
  Bpp/Phyl/Model/Protein/LLG08_EX3.cpp
  Bpp/Phyl/Model/Protein/LLG08_UL2.cpp
  Bpp/Phyl/Model/Protein/LLG08_UL3.cpp
  Bpp/Phyl/Model/Protein/LGL08_CAT.cpp
  Bpp/Phyl/Model/Protein/Coala.cpp
  Bpp/Phyl/Model/Protein/CoalaCore.cpp
  Bpp/Phyl/Model/Codon/GY94.cpp
  Bpp/Phyl/Model/Codon/MG94.cpp
  Bpp/Phyl/Model/Codon/TripletSubstitutionModel.cpp
  Bpp/Phyl/Model/Codon/AbstractCodonSubstitutionModel.cpp
  Bpp/Phyl/Model/Codon/AbstractCodonFrequenciesSubstitutionModel.cpp
  Bpp/Phyl/Model/Codon/AbstractCodonPhaseFrequenciesSubstitutionModel.cpp
  Bpp/Phyl/Model/Codon/AbstractCodonDistanceSubstitutionModel.cpp
  Bpp/Phyl/Model/Codon/AbstractCodonFitnessSubstitutionModel.cpp
  Bpp/Phyl/Model/Codon/CodonDistanceSubstitutionModel.cpp
  Bpp/Phyl/Model/Codon/CodonDistanceFrequenciesSubstitutionModel.cpp
  Bpp/Phyl/Model/Codon/CodonDistancePhaseFrequenciesSubstitutionModel.cpp
  Bpp/Phyl/Model/Codon/CodonDistanceFitnessPhaseFrequenciesSubstitutionModel.cpp
  Bpp/Phyl/Model/Codon/CodonRateSubstitutionModel.cpp
  Bpp/Phyl/Model/Codon/CodonRateFrequenciesSubstitutionModel.cpp
  Bpp/Phyl/Model/Codon/YN98.cpp
  Bpp/Phyl/Model/Codon/YNGKP_M1.cpp
  Bpp/Phyl/Model/Codon/YNGKP_M2.cpp
  Bpp/Phyl/Model/Codon/YNGKP_M3.cpp
  Bpp/Phyl/Model/Codon/YNGKP_M7.cpp
  Bpp/Phyl/Model/Codon/YNGKP_M8.cpp
  Bpp/Phyl/Model/FrequenciesSet/FrequenciesSet.cpp
  Bpp/Phyl/Model/FrequenciesSet/NucleotideFrequenciesSet.cpp
  Bpp/Phyl/Model/FrequenciesSet/MvaFrequenciesSet.cpp
  Bpp/Phyl/Model/FrequenciesSet/WordFrequenciesSet.cpp
  Bpp/Phyl/Model/FrequenciesSet/CodonFrequenciesSet.cpp
  Bpp/Phyl/NNITopologySearch.cpp
  Bpp/Phyl/Node.cpp
  Bpp/Phyl/OptimizationTools.cpp
  Bpp/Phyl/Parsimony/AbstractTreeParsimonyScore.cpp
  Bpp/Phyl/Parsimony/DRTreeParsimonyData.cpp
  Bpp/Phyl/Parsimony/DRTreeParsimonyScore.cpp
  Bpp/Phyl/PatternTools.cpp
  Bpp/Phyl/PhyloStatistics.cpp
  Bpp/Phyl/Simulation/MutationProcess.cpp
  Bpp/Phyl/Simulation/NonHomogeneousSequenceSimulator.cpp
  Bpp/Phyl/Simulation/SequenceSimulationTools.cpp
  Bpp/Phyl/SitePatterns.cpp
  Bpp/Phyl/TreeExceptions.cpp
  Bpp/Phyl/TreeTemplateTools.cpp
  Bpp/Phyl/TreeTools.cpp  
  )
SET(H_FILES
  Bpp/Phyl/AncestralStateReconstruction.h
  Bpp/Phyl/App/PhylogeneticsApplicationTools.h
  Bpp/Phyl/BipartitionList.h
  Bpp/Phyl/BipartitionTools.h
  Bpp/Phyl/Distance/AbstractAgglomerativeDistanceMethod.h
  Bpp/Phyl/Distance/DistanceMethod.h
  Bpp/Phyl/Distance/BioNJ.h
  Bpp/Phyl/Distance/DistanceEstimation.h
  Bpp/Phyl/Distance/NeighborJoining.h
  Bpp/Phyl/Distance/PGMA.h
  Bpp/Phyl/Distance/HierarchicalClustering.h
  Bpp/Phyl/Graphics/AbstractDendrogramPlot.h
  Bpp/Phyl/Graphics/AbstractTreeDrawing.h
  Bpp/Phyl/Graphics/CladogramPlot.h
  Bpp/Phyl/Graphics/PhylogramPlot.h
  Bpp/Phyl/Graphics/TreeDrawingDisplayControler.h
  Bpp/Phyl/Graphics/TreeDrawing.h
  Bpp/Phyl/Graphics/TreeDrawingListener.h
  Bpp/Phyl/Io/IoDistanceMatrixFactory.h
  Bpp/Phyl/Io/IoDistanceMatrix.h
  Bpp/Phyl/Io/IoTreeFactory.h
  Bpp/Phyl/Io/IoTree.h
  Bpp/Phyl/Io/Newick.h
  Bpp/Phyl/Io/Nhx.h
  Bpp/Phyl/Io/NexusIoTree.h
  Bpp/Phyl/Io/PhylipDistanceMatrixFormat.h
  Bpp/Phyl/Io/IoPairedSiteLikelihoods.h
  Bpp/Phyl/Io/IoSubstitutionModel.h
  Bpp/Phyl/Io/IoSubstitutionModelFactory.h
  Bpp/Phyl/Io/BppOSubstitutionModelFormat.h
  Bpp/Phyl/Io/IoFrequenciesSet.h
  Bpp/Phyl/Io/IoFrequenciesSetFactory.h
  Bpp/Phyl/Io/BppOFrequenciesSetFormat.h
  Bpp/Phyl/Io/BppORateDistributionFormat.h
  Bpp/Phyl/Likelihood/AbstractDiscreteRatesAcrossSitesTreeLikelihood.h
  Bpp/Phyl/Likelihood/AbstractHomogeneousTreeLikelihood.h
  Bpp/Phyl/Likelihood/AbstractNonHomogeneousTreeLikelihood.h
  Bpp/Phyl/Likelihood/AbstractTreeLikelihoodData.h
  Bpp/Phyl/Likelihood/AbstractTreeLikelihood.h
  Bpp/Phyl/Likelihood/ClockTreeLikelihood.h
  Bpp/Phyl/Likelihood/DiscreteRatesAcrossSitesTreeLikelihood.h
  Bpp/Phyl/Likelihood/DRASDRTreeLikelihoodData.h
  Bpp/Phyl/Likelihood/DRASRTreeLikelihoodData.h
  Bpp/Phyl/Likelihood/DRHomogeneousMixedTreeLikelihood.h
  Bpp/Phyl/Likelihood/DRHomogeneousTreeLikelihood.h
  Bpp/Phyl/Likelihood/DRNonHomogeneousTreeLikelihood.h
  Bpp/Phyl/Likelihood/DRTreeLikelihood.h
  Bpp/Phyl/Likelihood/DRTreeLikelihoodTools.h
  Bpp/Phyl/Likelihood/HomogeneousTreeLikelihood.h
  Bpp/Phyl/Likelihood/MarginalAncestralStateReconstruction.h
  Bpp/Phyl/Likelihood/NNIHomogeneousTreeLikelihood.h
  Bpp/Phyl/Likelihood/NonHomogeneousTreeLikelihood.h
  Bpp/Phyl/Likelihood/PseudoNewtonOptimizer.h
  Bpp/Phyl/Likelihood/RASTools.h
  Bpp/Phyl/Likelihood/RHomogeneousClockTreeLikelihood.h
  Bpp/Phyl/Likelihood/RHomogeneousMixedTreeLikelihood.h
  Bpp/Phyl/Likelihood/RHomogeneousTreeLikelihood.h
  Bpp/Phyl/Likelihood/RNonHomogeneousMixedTreeLikelihood.h
  Bpp/Phyl/Likelihood/RNonHomogeneousTreeLikelihood.h
  Bpp/Phyl/Likelihood/SitePartitionTreeLikelihood.h
  Bpp/Phyl/Likelihood/TreeLikelihoodData.h
  Bpp/Phyl/Likelihood/TreeLikelihood.h
  Bpp/Phyl/Likelihood/TreeLikelihoodTools.h
  Bpp/Phyl/Likelihood/PairedSiteLikelihoods.h
  Bpp/Phyl/Likelihood/GlobalClockTreeLikelihoodFunctionWrapper.h
  Bpp/Phyl/Mapping/LaplaceSubstitutionCount.h
  Bpp/Phyl/Mapping/WeightedSubstitutionCount.h
  Bpp/Phyl/Mapping/OneJumpSubstitutionCount.h
  Bpp/Phyl/Mapping/ProbabilisticSubstitutionMapping.h
  Bpp/Phyl/Mapping/NaiveSubstitutionCount.h
  Bpp/Phyl/Mapping/DecompositionSubstitutionCount.h
  Bpp/Phyl/Mapping/UniformizationSubstitutionCount.h
  Bpp/Phyl/Mapping/SubstitutionRegister.h
  Bpp/Phyl/Mapping/SubstitutionCount.h
  Bpp/Phyl/Mapping/SubstitutionMapping.h
  Bpp/Phyl/Mapping/SubstitutionMappingTools.h
  Bpp/Phyl/Model/StateMap.h
  Bpp/Phyl/Model/AbstractSubstitutionModel.h
  Bpp/Phyl/Model/BinarySubstitutionModel.h
  Bpp/Phyl/Model/G2001.h
  Bpp/Phyl/Model/AbstractBiblioSubstitutionModel.h
  Bpp/Phyl/Model/AbstractBiblioMixedSubstitutionModel.h
  Bpp/Phyl/Model/MarkovModulatedSubstitutionModel.h
  Bpp/Phyl/Model/MixedSubstitutionModel.h
  Bpp/Phyl/Model/AbstractMixedSubstitutionModel.h
  Bpp/Phyl/Model/MixtureOfASubstitutionModel.h
  Bpp/Phyl/Model/MixtureOfSubstitutionModels.h
  Bpp/Phyl/Model/RateDistributionFactory.h
  Bpp/Phyl/Model/RE08.h
  Bpp/Phyl/Model/SubstitutionModelFactory.h
  Bpp/Phyl/Model/SubstitutionModel.h
  Bpp/Phyl/Model/SubstitutionModelSet.h
  Bpp/Phyl/Model/MixedSubstitutionModelSet.h
  Bpp/Phyl/Model/SubstitutionModelSetTools.h
  Bpp/Phyl/Model/TS98.h
  Bpp/Phyl/Model/AbstractWordSubstitutionModel.h
  Bpp/Phyl/Model/WordSubstitutionModel.h
  Bpp/Phyl/Model/Nucleotide/NucleotideSubstitutionModel.h
  Bpp/Phyl/Model/Nucleotide/F84.h
  Bpp/Phyl/Model/Nucleotide/HKY85.h
  Bpp/Phyl/Model/Nucleotide/JCnuc.h
  Bpp/Phyl/Model/Nucleotide/GTR.h
  Bpp/Phyl/Model/Nucleotide/K80.h
  Bpp/Phyl/Model/Nucleotide/L95.h
  Bpp/Phyl/Model/Nucleotide/RN95.h
  Bpp/Phyl/Model/Nucleotide/RN95s.h
  Bpp/Phyl/Model/Nucleotide/SSR.h
  Bpp/Phyl/Model/Nucleotide/T92.h
  Bpp/Phyl/Model/Nucleotide/TN93.h
  Bpp/Phyl/Model/Nucleotide/gBGC.h
  Bpp/Phyl/Model/Nucleotide/YpR.h
  Bpp/Phyl/Model/Protein/ProteinSubstitutionModel.h
  Bpp/Phyl/Model/Protein/DSO78.h
  Bpp/Phyl/Model/Protein/UserProteinSubstitutionModel.h
  Bpp/Phyl/Model/Protein/JCprot.h
  Bpp/Phyl/Model/Protein/JTT92.h
  Bpp/Phyl/Model/Protein/LG08.h
  Bpp/Phyl/Model/Protein/WAG01.h
  Bpp/Phyl/Model/Protein/LLG08_EHO.h
  Bpp/Phyl/Model/Protein/LLG08_EX2.h
  Bpp/Phyl/Model/Protein/LLG08_EX3.h
  Bpp/Phyl/Model/Protein/LLG08_UL2.h
  Bpp/Phyl/Model/Protein/LLG08_UL3.h
  Bpp/Phyl/Model/Protein/LGL08_CAT.h
  Bpp/Phyl/Model/Protein/Coala.h
  Bpp/Phyl/Model/Protein/CoalaCore.h
  Bpp/Phyl/Model/Codon/GY94.h
  Bpp/Phyl/Model/Codon/MG94.h
  Bpp/Phyl/Model/Codon/CodonSubstitutionModel.h
