=== debian/changelog ===
libbpp-phyl (2.1.0-1ubuntu3) wily; urgency=medium

  * And again, drop hardcoded dep.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 11 Aug 2015 13:19:39 +0100

libbpp-phyl (2.1.0-1ubuntu2) wily; urgency=medium

  * No-change rebuild against new libbpp-seq

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 11 Aug 2015 12:27:42 +0100

libbpp-phyl (2.1.0-1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 04:41:54 +0000

libbpp-phyl (2.1.0-1) unstable; urgency=low

  * New RateDistribution classes
  * New models for protein sequences (COaLA)
  * Support for gaps in parsimony score
  * Improved and extended support for BppO
  * Several bugs fixed and warnings removed

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 07 Mar 2013 15:58:00 +0100
