=== debian/control ===
Source: libbpp-phyl
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Loic Dachary <loic@dachary.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>
Build-Depends: debhelper (>= 5), cmake (>= 2.6),
  libbpp-seq-dev (>= 2.1.0)
Standards-Version: 3.9.1

Package: libbpp-phyl-dev
Section: libdevel
Architecture: any
Depends: libbpp-phyl9v5 (= ${binary:Version}), ${misc:Depends},
  libbpp-seq-dev (>= 2.1.0)
Description: Bio++ Phylogenetic library development files.
 Contains the Bio++ classes for phylogenetics.

Package: libbpp-phyl9v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libbpp-phyl9
Replaces: libbpp-phyl9
Description: Bio++ Phylogenetic library.
 Contains the Bio++ classes for phylogenetics.
