=== src/CMakeLists.txt ===
--- 
+++ 
@@ -53,6 +53,7 @@
   Bpp/Phyl/Likelihood/TreeLikelihoodTools.cpp
   Bpp/Phyl/Likelihood/PairedSiteLikelihoods.cpp
   Bpp/Phyl/Likelihood/GlobalClockTreeLikelihoodFunctionWrapper.cpp
+  Bpp/Phyl/Mapping/SubstitutionRegister.cpp
   Bpp/Phyl/Mapping/LaplaceSubstitutionCount.cpp
   Bpp/Phyl/Mapping/OneJumpSubstitutionCount.cpp
   Bpp/Phyl/Mapping/ProbabilisticSubstitutionMapping.cpp
@@ -61,6 +62,9 @@
   Bpp/Phyl/Mapping/UniformizationSubstitutionCount.cpp
   Bpp/Phyl/Mapping/WeightedSubstitutionCount.cpp
   Bpp/Phyl/Mapping/SubstitutionMappingTools.cpp
+  Bpp/Phyl/Mapping/DecompositionReward.cpp
+  Bpp/Phyl/Mapping/ProbabilisticRewardMapping.cpp
+  Bpp/Phyl/Mapping/RewardMappingTools.cpp
   Bpp/Phyl/Model/StateMap.cpp
   Bpp/Phyl/Model/BinarySubstitutionModel.cpp
   Bpp/Phyl/Model/AbstractSubstitutionModel.cpp
@@ -102,6 +106,7 @@
   Bpp/Phyl/Model/Protein/LLG08_EX3.cpp
   Bpp/Phyl/Model/Protein/LLG08_UL2.cpp
   Bpp/Phyl/Model/Protein/LLG08_UL3.cpp
+  Bpp/Phyl/Model/Protein/LG10_EX_EHO.cpp
   Bpp/Phyl/Model/Protein/LGL08_CAT.cpp
   Bpp/Phyl/Model/Protein/Coala.cpp
   Bpp/Phyl/Model/Protein/CoalaCore.cpp
@@ -221,8 +226,14 @@
   Bpp/Phyl/Mapping/UniformizationSubstitutionCount.h
   Bpp/Phyl/Mapping/SubstitutionRegister.h
   Bpp/Phyl/Mapping/SubstitutionCount.h
+  Bpp/Phyl/Mapping/Mapping.h
   Bpp/Phyl/Mapping/SubstitutionMapping.h
   Bpp/Phyl/Mapping/SubstitutionMappingTools.h
+  Bpp/Phyl/Mapping/Reward.h
+  Bpp/Phyl/Mapping/DecompositionReward.h
+  Bpp/Phyl/Mapping/RewardMapping.h
+  Bpp/Phyl/Mapping/RewardMappingTools.h
+  Bpp/Phyl/Mapping/ProbabilisticRewardMapping.h
   Bpp/Phyl/Model/StateMap.h
   Bpp/Phyl/Model/AbstractSubstitutionModel.h
   Bpp/Phyl/Model/BinarySubstitutionModel.h
@@ -264,15 +275,3 @@
   Bpp/Phyl/Model/Protein/JCprot.h
   Bpp/Phyl/Model/Protein/JTT92.h
   Bpp/Phyl/Model/Protein/LG08.h
-  Bpp/Phyl/Model/Protein/WAG01.h
-  Bpp/Phyl/Model/Protein/LLG08_EHO.h
-  Bpp/Phyl/Model/Protein/LLG08_EX2.h
-  Bpp/Phyl/Model/Protein/LLG08_EX3.h
-  Bpp/Phyl/Model/Protein/LLG08_UL2.h
-  Bpp/Phyl/Model/Protein/LLG08_UL3.h
-  Bpp/Phyl/Model/Protein/LGL08_CAT.h
-  Bpp/Phyl/Model/Protein/Coala.h
-  Bpp/Phyl/Model/Protein/CoalaCore.h
-  Bpp/Phyl/Model/Codon/GY94.h
-  Bpp/Phyl/Model/Codon/MG94.h
-  Bpp/Phyl/Model/Codon/CodonSubstitutionModel.h
