=== debian/changelog ===
libbpp-phyl (2.2.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Revert v5 rename of library packages

 -- Andreas Tille <tille@debian.org>  Tue, 17 May 2016 10:02:30 +0200

libbpp-phyl (2.2.0-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging to Git
  * Better description
  * Team maintenance in Debian Med team
  * cme fix dpkg-control
  * Source package section: science
  * Add watch file
  * debhelper 9
  * DEP5
  * short dh rules file using d-shlibs
  * Library transition
    Closes: #791094

 -- Andreas Tille <tille@debian.org>  Thu, 21 Apr 2016 14:16:41 +0200
