=== debian/watch ===
version=3

http://biopp.univ-montp2.fr/Repositories/sources/ bpp-phyl-(\d[\d.]+)\.tar\.gz
